AdminBillingPlansCode

/Admin/billing/plans/{code}

PUT
/Admin/billing/plans/{code}
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

Path Parameters

code*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.speaknode.com/api/Admin/billing/plans/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "lago_id": "string",
  "name": "string",
  "code": "string",
  "interval": "string",
  "description": "string",
  "amount_cents": 0,
  "amount_currency": "string",
  "trial_period": 0,
  "pay_in_advance": true,
  "bill_charges_monthly": 0,
  "charges": [
    {
      "lago_id": "string",
      "billable_metric_code": "string",
      "charge_model": "string",
      "properties": {
        "graduated_ranges": [
          {
            "from_value": 0,
            "to_value": 0,
            "flat_amount": "string",
            "per_unit_amount": "string"
          }
        ]
      }
    }
  ],
  "visible": true,
  "visible_to_specified_users": true,
  "user_ids": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "progressive_billing_enabled": true,
  "progressive_billing_thresholds": [
    0.1
  ],
  "progressive_billing_step_amount": 0,
  "graduated_pricing_billing_enabled": true,
  "termination_amount": 0,
  "llm_input_token_price_coeff": 0.1,
  "llm_output_token_price_coeff": 0.1,
  "stt_coeff": 0.1,
  "tts_coeff": 0.1
}